Package be.fgov.ehealth.dics.protocol.v4

# Class ConsultStandardRouteAndRouteOfAdministrationType

java.lang.Object
be.fgov.ehealth.dics.protocol.v4.ConsultStandardRouteType
be.fgov.ehealth.dics.protocol.v4.ConsultStandardRouteAndRouteOfAdministrationType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class ConsultStandardRouteAndRouteOfAdministrationType extends ConsultStandardRouteType implements Serializable

Java class for ConsultStandardRouteAndRouteOfAdministrationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultStandardRouteAndRouteOfAdministrationType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:dics:protocol:v4}ConsultStandardRouteType">
           <sequence>
             <element name="RouteOfAdministration" type="{urn:be:fgov:ehealth:dics:core:v4:refdata}RouteOfAdministrationKeyType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConsultStandardRouteAndRouteOfAdministrationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<RouteOfAdministrationKeyType>`
  `getRouteOfAdministrations()`
  Gets the value of the routeOfAdministrations property.

  ### Methods inherited from class be.fgov.ehealth.dics.protocol.v4.ConsultStandardRouteType

  `getCode, getDefinition, getName, getStandard, getUrl, setCode, setDefinition, setName, setStandard, setUrl`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConsultStandardRouteAndRouteOfAdministrationType

    public ConsultStandardRouteAndRouteOfAdministrationType()

- ## Method Details

  - ### getRouteOfAdministrations

    public List<RouteOfAdministrationKeyType> getRouteOfAdministrations()
    Gets the value of the routeOfAdministrations property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the routeOfAdministrations property.

    For example, to add a new item, do as follows:

         getRouteOfAdministrations().add(newItem);

    Objects of the following type(s) are allowed in the list `RouteOfAdministrationKeyType`

    Returns:
      The value of the routeOfAdministrations property.